Page MenuHomePhabricator

Implement Integration Tests for Existing iOS Endpoints
Closed, ResolvedPublic5 Story Points

Description

Description
The new iOS endpoints currently have no tests at all. We want to go back and implement a set of integration tests using the framework developed by @daniel and @Clarakosi.

T234995 contains an initial discussion. Daniel's recommendation for the first iteration is that the initial tests can reside in api-testing repo, with the understanding that we will revisit that at a later point.

The first step will be to define the test requirements for each endpoint and then implement the tests.

Requirements

  • Review existing iOS endpoints and define test requirements for each:
    • Implement GET History Filter (T231597)
    • Implement GET page history (T231558)
    • Implement bot edit count endpoint (T234488)
    • Implement anonymous edit count endpoint (T234487)
    • Implement reverted edits count endpoint (T234486)
    • Implement GET Edit Count (T231590)
    • Implement Editors Count Endpoint (T234485)
    • Implement GET Revision Comparison (T231580)
    • Implement GET Page Revision (T231588)
  • Implement Integration Tests for each endpoint
    • Implement GET History Filter (T231597)
    • Implement GET page history (T231558)
    • Implement bot edit count endpoint (T234488)
    • Implement anonymous edit count endpoint (T234487)
    • Implement reverted edits count endpoint (T234486)
    • Implement GET Edit Count (T231590)
    • Implement Editors Count Endpoint (T234485)
    • Implement GET Revision Comparison (T231580)
    • Implement GET Page Revision (T231588)

Details

Related Gerrit Patches:
mediawiki/tools/api-testing : masterAdd integration tests for revision/{id}/bare
mediawiki/tools/api-testing : masterAdd integration tests for page history
mediawiki/tools/api-testing : masterIntegration tests for /revision/{from}/compare/{to}
mediawiki/tools/api-testing : masterAdd integration tests for page history counts
integration/config : masterdocker: bump Quibble to 0.0.39
integration/config : masterSwitch api-testing job to Quibble 0.0.39
integration/quibble : masterRelease Quibble 0.0.39
integration/quibble : masterEnable REST API for testing

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2019, 9:29 PM
WDoranWMF triaged this task as High priority.Oct 15 2019, 9:29 PM
WDoranWMF lowered the priority of this task from High to Normal.Oct 16 2019, 1:21 PM
WDoranWMF set the point value for this task to 5.Oct 16 2019, 7:21 PM
Clarakosi moved this task from Ready to Doing on the Core Platform Team Workboards (Green) board.

Change 544189 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[integration/quibble@master] Enable REST API for testing

https://gerrit.wikimedia.org/r/544189

Change 544189 merged by jenkins-bot:
[integration/quibble@master] Enable REST API for testing

https://gerrit.wikimedia.org/r/544189

Change 544192 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/quibble@master] Release Quibble 0.0.39

https://gerrit.wikimedia.org/r/544192

Change 544192 merged by jenkins-bot:
[integration/quibble@master] Release Quibble 0.0.39

https://gerrit.wikimedia.org/r/544192

Change 544195 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: bump Quibble to 0.0.39

https://gerrit.wikimedia.org/r/544195

Change 544196 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch api-testing job to Quibble 0.0.39

https://gerrit.wikimedia.org/r/544196

Change 544195 merged by jenkins-bot:
[integration/config@master] docker: bump Quibble to 0.0.39

https://gerrit.wikimedia.org/r/544195

Change 544196 merged by jenkins-bot:
[integration/config@master] Switch api-testing job to Quibble 0.0.39

https://gerrit.wikimedia.org/r/544196

Change 543953 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add integration tests for page history counts

https://gerrit.wikimedia.org/r/543953

Change 543953 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Add integration tests for page history counts

https://gerrit.wikimedia.org/r/543953

Clarakosi updated the task description. (Show Details)Oct 22 2019, 3:32 PM

Change 545632 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add integration tests for page history

https://gerrit.wikimedia.org/r/545632

Change 545649 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/tools/api-testing@master] Integration tests for /revision/{from}/compare/{to}

https://gerrit.wikimedia.org/r/545649

I don't see a checkmark for T231345. Did we miss that out on purpose, or just an oversight?

Clarakosi updated the task description. (Show Details)Thu, Oct 24, 8:48 PM

Change 545649 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Integration tests for /revision/{from}/compare/{to}

https://gerrit.wikimedia.org/r/545649

Change 545632 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Add integration tests for page history

https://gerrit.wikimedia.org/r/545632

Change 546729 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Add integration tests for revision/{id}/bare

https://gerrit.wikimedia.org/r/546729

Clarakosi updated the task description. (Show Details)Mon, Oct 28, 8:39 PM

Change 546729 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Add integration tests for revision/{id}/bare

https://gerrit.wikimedia.org/r/546729

I reviewed; these are all implemented and running. Thanks for the good work, @Clarakosi !

eprodromou closed this task as Resolved.Tue, Oct 29, 4:22 PM